Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoCylinderRegion Class Reference
Surface

## Description

Represents a cylinder region for select surface tools.

Inherits kObject.

## Public Member Functions
k64f | GoCylinderRegion_Height (GoCylinderRegion region)
| Gets the Height. More...
k64f | GoCylinderRegion_Radius (GoCylinderRegion region)
| Gets the radius. More...
kStatus | GoCylinderRegion_SetHeight (GoCylinderRegion region, k64f value)
| Sets the Height. More...
kStatus | GoCylinderRegion_SetRadius (GoCylinderRegion region, k64f value)
| Sets the radius. More...
kStatus | GoCylinderRegion_SetX (GoCylinderRegion region, k64f x)
| Sets the X position. More...
kStatus | GoCylinderRegion_SetY (GoCylinderRegion region, k64f value)
| Sets the Y position. More...
kStatus | GoCylinderRegion_SetZ (GoCylinderRegion region, k64f z)
| Sets the Z-position. More...
k64f | GoCylinderRegion_X (GoCylinderRegion region)
| Gets the X position. More...
k64f | GoCylinderRegion_Y (GoCylinderRegion region)
| Gets the Y position. More...
k64f | GoCylinderRegion_Z (GoCylinderRegion region)
| Gets the Z-position. More...

## Member Function Documentation

k64f GoCylinderRegion_Height | ( | GoCylinderRegion | region | ) |

Gets the Height.

Parameters

  region | GoCylinderRegion object.

Returns
  The height of the region.

k64f GoCylinderRegion_Radius | ( | GoCylinderRegion | region | ) |

Gets the radius.

Parameters

  region | GoCylinderRegion object.

Returns
  The radius of the region.

kStatus GoCylinderRegion_SetHeight | ( | GoCylinderRegion | region,
|  | k64f | value
| ) |  |

Sets the Height.

Parameters

  region | GoCylinderRegion object.
  value | The height to set.

Returns
  Operation status.

kStatus GoCylinderRegion_SetRadius | ( | GoCylinderRegion | region,
|  | k64f | value
| ) |  |

Sets the radius.

Parameters

  region | GoCylinderRegion object.
  value | The radius to set.

Returns
  Operation status.

kStatus GoCylinderRegion_SetX | ( | GoCylinderRegion | region,
|  | k64f | x
| ) |  |

Sets the X position.

Parameters

  region | GoCylinderRegion object.
  x | The X position to set.

Returns
  Operation status.

kStatus GoCylinderRegion_SetY | ( | GoCylinderRegion | region,
|  | k64f | value
| ) |  |

Sets the Y position.

Parameters

  region | GoCylinderRegion object.
  value | The Y position to set.

Returns
  Operation status.

kStatus GoCylinderRegion_SetZ | ( | GoCylinderRegion | region,
|  | k64f | z
| ) |  |

Sets the Z-position.

Parameters

  region | GoCylinderRegion object.
  z | The Z-position to set.

Returns
  Operation status.

k64f GoCylinderRegion_X | ( | GoCylinderRegion | region | ) |

Gets the X position.

Parameters

  region | GoCylinderRegion object.

Returns
  The X position of the region.

k64f GoCylinderRegion_Y | ( | GoCylinderRegion | region | ) |

Gets the Y position.

Parameters

  region | GoCylinderRegion object.

Returns
  The Y position of the region.

k64f GoCylinderRegion_Z | ( | GoCylinderRegion | region | ) |

Gets the Z-position.

Parameters

  region | GoCylinderRegion object.

Returns
  The Z-position of the region.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h